| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.MultiImageViewFactory Class Reference
Inheritance diagram for iolink.iolink.MultiImageViewFactory:

## Public Member Functions
| __init__ (self, *args, **kwargs)

## Static Public Member Functions
| create ()
| create_from_list (*args)
| unstack_dimension_index (imageView, idxDimensionUnstack)
| unstack_dimension (imageView, dimension)
| deinterlace (imageView)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    This factory is aimed at creating stack of ImageViews.

## Member Function Documentation

## ◆ create()

iolink.iolink.MultiImageViewFactory.create | ( |  | ) |
| static

    Creates an empty MultiImageView

## ◆ create_from_list()

iolink.iolink.MultiImageViewFactory.create_from_list | ( | * | args | ) |
| static

        Creates a MultiImageView from a list of ImageViews.

         :type args: any container
         :param args: list of ImageViews to add in the new MultiImageView
         :rtype: :py:class:`MultiImageView`
         :return: a MultiImageView containing all given ImageViews

## ◆ deinterlace()

iolink.iolink.MultiImageViewFactory.deinterlace | ( |  | imageView | ) |
| static

        Creates a MultiImageView from an ImageView, containing as many ImageViews as there are channels in original Image
        (one by channel). i.e.  ImageView RGB => MultiImageView of 3 ImageViews (ImageView RED, ImageView GREEN, ImageView
        BLUE)
        :type imageView: :py:class:`ImageView`
        :param imageView: ImageView which must be deinterlaced
        :rtype: :py:class:`MultiImageView`
        :return: a MultiImageView with one ImageView for each channel of original ImageView
        :raises: InvalidArgument if input image is null
        :raises: Error if given ImageView has invalid properties

## ◆ unstack_dimension()

iolink.iolink.MultiImageViewFactory.unstack_dimension | ( |  | imageView,
|  |  | dimension
| ) |  |
| static

        Creates a MultiImageView from an ImageView
        ImageView (whose dimension is greater than 2) is unstacked according to given dimension
        into a MultiImageView.
        i.e. ImageView 3D (XYZ) === unstack according to Y ==> MultiImageView containing Y ImageViews (XZ)
        :type imageView: :py:class:`ImageView`
        :param imageView: ImageView whose dimension is greater than 2
        :type dimension: int
        :param dimension: ImageDimension to unstack
        :rtype: :py:class:`MultiImageView`
        :return: a MultiImageView containing as many sub-frames as the size of given dimension in original Imageview
        :raises: InvalidArgument if input image is null
        :raises: Error if dimension is not contained into ImageView
        :raises: Error if given ImageView has invalid properties

## ◆ unstack_dimension_index()

iolink.iolink.MultiImageViewFactory.unstack_dimension_index | ( |  | imageView,
|  |  | idxDimensionUnstack
| ) |  |
| static

        Creates a MultiImageView from an ImageView
        ImageView (whose dimension is greater than 2) is unstacked according to given dimension
        into a MultiImageView.
        i.e. ImageView 3D (XYZ) === unstack according to Y ==> MultiImageView containing Y ImageViews (XZ)
        :type imageView: :py:class:`ImageView`
        :param imageView: ImageView whose dimension is greater than 2
        :type idxDimensionUnstack: int
        :param idxDimensionUnstack: index of dimension used for unstacking
        :rtype: :py:class:`MultiImageView`
        :return: a MultiImageView containing as many sub-frames as the size of given dimension in original Imageview
        :raises: InvalidArgument if input image is null
        :raises: Error if given ImageView has invalid properties

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py